Package org.eclipse.ecf.provider.filetransfer.httpclient5

# Class HttpClientRetrieveFileTransferFactory

java.lang.Object
org.eclipse.ecf.provider.filetransfer.httpclient5.HttpClientRetrieveFileTransferFactory

All Implemented Interfaces:
  `IRetrieveFileTransferFactory`

public class HttpClientRetrieveFileTransferFactory extends Object implements IRetrieveFileTransferFactory

## Constructor Summary

Constructors
Constructor
Description
`HttpClientRetrieveFileTransferFactory()`

## Method Summary

Modifier and Type
Method
Description
`IRetrieveFileTransfer`
`newInstance()`
Get new instance of IRetrieveFileTransfer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpClientRetrieveFileTransferFactory

public HttpClientRetrieveFileTransferFactory()

## Method Details

### newInstance

public IRetrieveFileTransfer newInstance()
Description copied from interface: `IRetrieveFileTransferFactory`
Get new instance of IRetrieveFileTransfer.

Specified by:
  `newInstance` in interface `IRetrieveFileTransferFactory`
Returns:
  IRetrieveFileTransfer for initiating a retrieval of a remote file.